#!/bin/sh
SERVICE_NAME="Hetzner panel BillMgr 5 bot"
BASE_DIR="/billing/bot/location"
PATH_TO_JAR="./billbot.jar"
JVM_ARGS="-Dorg.slf4j.simpleLogger.logFile=System.out"
JAVA_ARGS=""
PID_PATH_NAME="/billing/bot/location/billbot.pid"
ERR_LOG="/billing/bot/location/billbot_err.log"
case $1 in
    start)
        echo "Starting $SERVICE_NAME ..."
        if [ ! -f $PID_PATH_NAME ]; then
			cd $BASE_DIR
            nohup java $JVM_ARGS -jar $PATH_TO_JAR $JAVA_ARGS /tmp 2>> $ERR_LOG >> billbot.log &
                        echo $! > $PID_PATH_NAME
            echo "$SERVICE_NAME started ..."
        else
            echo "$SERVICE_NAME is already running ..."
        fi
    ;;
    stop)
        if [ -f $PID_PATH_NAME ]; then
            PID=$(cat $PID_PATH_NAME);
            echo "$SERVICE_NAME stoping ..."
            kill $PID;
            echo "$SERVICE_NAME stopped ..."
            rm $PID_PATH_NAME
        else
            echo "$SERVICE_NAME is not running ..."
        fi
    ;;
    restart)
        if [ -f $PID_PATH_NAME ]; then
            PID=$(cat $PID_PATH_NAME);
            echo "$SERVICE_NAME stopping ...";
            kill $PID;
            echo "$SERVICE_NAME stopped ...";
            rm $PID_PATH_NAME
            echo "$SERVICE_NAME starting ..."
			cd $BASE_DIR
            nohup java $JVM_ARGS -jar $PATH_TO_JAR $JAVA_ARGS /tmp 2>> $ERR_LOG >> billbot.log &
                        echo $! > $PID_PATH_NAME
            echo "$SERVICE_NAME started ..."
        else
            echo "$SERVICE_NAME is not running ..."
        fi
    ;;
esac
 